# legacyInvoiceCreate

Create a legacy invoice

**Scope required:** billing:write

For a complete list of input attributes see the [LegacyInvoiceAttributes](/developer/api-reference/types/legacyinvoiceattributes.md) type

```graphql
mutation legacyInvoiceCreate ($attributes: LegacyInvoiceAttributes!) {
  legacyInvoiceCreate (attributes: $attributes) {
      errors
      invoice {
        accountId
        amount
        amountDue
        amountPaid
        baseCurrencyId
        baseCurrencyTotal
        couponApplied
        createdAt
        credits
        currencyId
        description
        dueAt
        hasPaymentMethod
        id
        internalNotes
        isLegacy
        issuedAt
        kind
        netPaymentDays
        notes
        number
        paidAt
        payableId
        paymentFailedAt
        paymentFailureReason
        poNumber
        portalUrl
        quoteId
        sendInvoiceTo
        smallUnitAmountDue
        subtotal
        taxAmount
        taxRate
        updatedAt
        url
        uuid
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "accountId": "456123",
    "accountCode": "",
    "currencyId": "456123",
    "state": "InvoiceState",
    "number": "",
    "amount": "1.00",
    "taxAmount": "1.00",
    "subtotal": "1.00",
    "baseCurrencyTotal": "1.00",
    "dueAt": "2022-06-01",
    "netPaymentDays": 123,
    "poNumber": "",
    "pdfBlobUuid": "456123",
    "issuedAt": "2022-06-01"
  }
}
```

| Name       | Type                                                                                 | Description |
| ---------- | ------------------------------------------------------------------------------------ | ----------- |
| attributes | [LegacyInvoiceAttributes](/developer/api-reference/types/legacyinvoiceattributes.md) |             |

## Response

| Name    | Type                                                 | Description |
| ------- | ---------------------------------------------------- | ----------- |
| errors  | List (String)                                        |             |
| invoice | [Invoice](/developer/api-reference/types/invoice.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/legacyinvoicecreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
